Up-arrow on 2.1.73 without readline

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Up-arrow on 2.1.73 without readline

spasmous2
I have installed octave on an old Linux system that I cannot upgrade. I tried installing 3.03 but the gnuplot version was not recent enough so I went to 2.1.73. This version compiles but I need to specify the --disable-readline flag in ./configure. Once at the octave command line, a minor inconvenience is that Up-Arrow does not recall the most recent commands. Instead it displays [[^A. I was wondering if this is a readline issue? Is there a way to modify the key bindings in an Octave setup file?

Thanks for your help!

_______________________________________________
Help-octave mailing list
[hidden email]
https://www-old.cae.wisc.edu/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Up-arrow on 2.1.73 without readline

John W. Eaton
Administrator
On 14-Jan-2009, spasmous wrote:

| I have installed octave on an old Linux system that I cannot upgrade. I
| tried installing 3.03 but the gnuplot version was not recent enough so I
| went to 2.1.73. This version compiles but I need to specify the
| --disable-readline flag in ./configure. Once at the octave command line, a
| minor inconvenience is that Up-Arrow does not recall the most recent
| commands. Instead it displays [[^A. I was wondering if this is a readline
| issue? Is there a way to modify the key bindings in an Octave setup file?

2.1.73 is not supported.  I strongly encourage you to use the 3.0.x
series instead.

The readline library is the thing that handles command line editing
and history.  You disabled it, so it doesn't work.  If you want
command line editing to work, you'll need to build Octave with
readline enabled.

jwe
_______________________________________________
Help-octave mailing list
[hidden email]
https://www-old.cae.wisc.edu/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Up-arrow on 2.1.73 without readline

tmacchant
In reply to this post by spasmous2
Hello

Perhaps 2.1.73 is too old to discuss here.
Why do not you ask maintainers of your computer to upgrade gnuplot to 4.2.3 or later.
That is the best way.

Up-Arrow does not recall the most recent
> commands. Instead it displays [[^A

Perhaps the above is the terminal key binding issue but not of the readline.


Regards

Tatsuro

--- spasmous <[hidden email]> wrote:

> I have installed octave on an old Linux system that I cannot upgrade. I
> tried installing 3.03 but the gnuplot version was not recent enough so I
> went to 2.1.73. This version compiles but I need to specify the
> --disable-readline flag in ./configure. Once at the octave command line, a
> minor inconvenience is that Up-Arrow does not recall the most recent
> commands. Instead it displays [[^A. I was wondering if this is a readline
> issue? Is there a way to modify the key bindings in an Octave setup file?
>
> Thanks for your help!
> > _______________________________________________
> Help-octave mailing list
> [hidden email]
> https://www-old.cae.wisc.edu/mailman/listinfo/help-octave
>


--------------------------------------
Power up the Internet with Yahoo! Toolbar.
http://pr.mail.yahoo.co.jp/toolbar/
_______________________________________________
Help-octave mailing list
[hidden email]
https://www-old.cae.wisc.edu/mailman/listinfo/help-octave